rm(list = ls(all.names = TRUE))
Data <- read.csv("C:/Users/CHIKAMATSU/Desktop/case1_simdata_allo_2.csv",header=TRUE)
hh <- nrow(Data)
x <- c(-134.742538,-91.217745,-8.779202,-56.923302,0.16689954,-0.02631947,-2.20813733,0.18592268) #p[^


# declare the parameters
### declare the parameters###
## Alternative specific constants
t1 <- x[1] #ANZX
t2 <- x[2] #COX
t3 <- x[3] #dԏԎ
t4 <- x[4] #oXԎ
f1 <- x[5] #^spx̍ől
p1 <- x[6] #
tf <- x[7] #抷R
sc <- x[8] # scale parameter

train  <- Data$train*exp(t1*Data$ANZXtrain/1000 + t2*Data$COXtrain/1000 + t3*Data$dԎtrain/1000+ f1*Data$dԕpxtrain + p1 * Data$dԔptrain/1000)
bus    <- Data$bus*exp(t1*Data$ANZXbus/1000 + t2*Data$COXbus/1000 + t4*Data$oXbus/1000 + f1*Data$oXpxbus+ p1 * Data$oXpbus/1000) 
TBmin <- Data$dԕpxtrabus > Data$oXpxtrabus # trainƂTRUE
trabus <- Data$trabus *exp(t1*Data$ANZXtrabus/1000 + t2*Data$COXtrabus/1000 + t3*Data$dԎtrabus/1000 + t4*Data$oXtrabus/1000 + f1* ((TBmin)*Data$dԕpxtrabus + (!TBmin)*Data$oXpxtrabus)+ p1 * (Data$dԔptrabus + Data$oXptrabus)/1000+ tf*matrix(1,nrow =hh,ncol=1))
BTmin <- Data$oXpxtrabus > Data$dԕpxtrabus # busƂTRUE
bustra   <- Data$bustra *exp(t1*Data$ANZXbustra /1000 + t2*Data$COXbustra/1000 + t3*Data$dԎbustra/1000 + t4*Data$oXbustra/1000 + f1* ((BTmin)*Data$oXpxbustra + (!BTmin)*Data$dԕpxbustra)+ p1 * (Data$dԔpbustra + Data$oXpbustra)/1000 + tf*matrix(1,nrow =hh,ncol=1))

vnm <- matrix(0, nrow=hh, ncol=12)#t1,t4,t5,b1,b3,b5,tb1,tb4,tb6,bt2,bt4,bt5
vnm[,1] <- Data$allot1 * train
vnm[,2] <- Data$allot4 * train
vnm[,3] <- Data$allot5 * train
vnm[,4] <- Data$allob1 * bus
vnm[,5] <- Data$allob3 * bus
vnm[,6] <- Data$allob5 * bus
vnm[,7] <- Data$allotb1 * trabus
vnm[,8] <- Data$allotb4 * trabus
vnm[,9] <- Data$allotb6 * trabus
vnm[,10] <- Data$allobt2 * bustra
vnm[,11] <- Data$allobt4 * bustra
vnm[,12] <- Data$allobt5 * bustra

vnm <- vnm^(1/sc)

deno1 <- vnm[,1] + vnm[,4] + vnm[,7]
deno2 <- vnm[,10]
deno3 <- vnm[,5]
deno4 <- vnm[,2] + vnm[,8] + vnm[,11]
deno5 <- vnm[,3] + vnm[,6] + vnm[,12]
deno6 <- vnm[,9]

deno <- deno1^(sc) + deno2^(sc) + deno3^(sc) + deno4^(sc) + deno5^(sc) + deno6^(sc)

pm <- matrix(0, nrow=hh, ncol=6) #1,2,3,4,5,6
pm[,1] <- (deno1^(sc))/deno
pm[,2] <- (deno2^(sc))/deno
pm[,3] <- (deno3^(sc))/deno
pm[,4] <- (deno4^(sc))/deno
pm[,5] <- (deno5^(sc))/deno
pm[,6] <- (deno6^(sc))/deno

deno1 <- (deno1 == 0) + (deno1 != 0)*deno1
deno2 <- (deno2 == 0) + (deno2 != 0)*deno2
deno3 <- (deno3 == 0) + (deno3 != 0)*deno3
deno4 <- (deno4 == 0) + (deno4 != 0)*deno4
deno5 <- (deno5 == 0) + (deno5 != 0)*deno5
deno6 <- (deno6 == 0) + (deno6 != 0)*deno6

pnm <- matrix(0, nrow=hh, ncol=12) #t1,t4,t5,b1,b3,b5,tb1,tb4,tb6,bt2,bt4,bt5
pnm[,1] <- vnm[,1]/deno1
pnm[,2] <- vnm[,2]/deno4
pnm[,3] <- vnm[,3]/deno5
pnm[,4] <- vnm[,4]/deno1
pnm[,5] <- vnm[,5]/deno3
pnm[,6] <- vnm[,6]/deno5
pnm[,7] <- vnm[,7]/deno1
pnm[,8] <- vnm[,8]/deno4
pnm[,9] <- vnm[,9]/deno6
pnm[,10] <- vnm[,10]/deno2
pnm[,11] <- vnm[,11]/deno4
pnm[,12] <- vnm[,12]/deno5

Ptrain <- pnm[,1]*pm[,1] + pnm[,2]*pm[,4] + pnm[,3]*pm[,5]
Pbus <- pnm[,4]*pm[,1] + pnm[,5]*pm[,3] + pnm[,6]*pm[,5]
Ptrabus <- pnm[,7]*pm[,1] + pnm[,8]*pm[,4] + pnm[,9]*pm[,6]
Pbustra <- pnm[,10]*pm[,2] + pnm[,11]*pm[,4] + pnm[,12]*pm[,5]

Ptrain <- Data$train*Ptrain
Pbus <- Data$bus*Pbus
Ptrabus <- Data$trabus*Ptrabus
Pbustra <- Data$bustra*Pbustra

#Ҍp̌vZ
Utrain <- t1*Data$ANZXtrain/1000 + t2*Data$COXtrain/1000 + t3*Data$dԎtrain/1000+ f1*Data$dԕpxtrain + p1 * Data$dԔptrain/1000
Ubus <-t1*Data$ANZXbus/1000 + t2*Data$COXbus/1000 + t4*Data$oXbus/1000 + f1*Data$oXpxbus+ p1 * Data$oXpbus/1000
Utrabus <-t1*Data$ANZXtrabus/1000 + t2*Data$COXtrabus/1000 + t3*Data$dԎtrabus/1000 + t4*Data$oXtrabus/1000 + f1* ((TBmin)*Data$dԕpxtrabus + (!TBmin)*Data$oXpxtrabus)+ p1 * (Data$dԔptrabus + Data$oXptrabus)/1000+ tf*matrix(1,nrow =hh,ncol=1)
Ubustra <- t1*Data$ANZXbustra /1000 + t2*Data$COXbustra/1000 + t3*Data$dԎbustra/1000 + t4*Data$oXbustra/1000 + f1* ((BTmin)*Data$oXpxbustra + (!BTmin)*Data$dԕpxbustra)+ p1 * (Data$dԔpbustra + Data$oXpbustra)/1000 + tf*matrix(1,nrow =hh,ncol=1)
  
V <- Ptrain*Utrain + Pbus*Ubus + Ptrabus*Utrabus + Pbustra*Ubustra
sumV <- sum(V)
print(sumV)

data<-data.frame(Pbustra,Pbus)

write.csv(data,file = "C:/Users/CHIKAMATSU/Desktop/kandoResult2.csv", quote=F, row.names=F, col.names=T)

